Package be.fgov.ehealth.hubservices.core.v3

# Class RevokeAccessRightRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.RevokeAccessRightRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class RevokeAccessRightRequest extends Object implements Serializable

Java class for RevokeAccessRightRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RevokeAccessRightRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestType"/>
             <element name="accessright" type="{http://www.ehealth.fgov.be/hubservices/core/v3}SelectRevokeAccessRightType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevokeAccessRightRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SelectRevokeAccessRightType`
  `getAccessright()`
  Gets the value of the accessright property.
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `void`
  `setAccessright(SelectRevokeAccessRightType value)`
  Sets the value of the accessright property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RevokeAccessRightRequest

    public RevokeAccessRightRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getAccessright

    public SelectRevokeAccessRightType getAccessright()
    Gets the value of the accessright property.
    Returns:
      possible object is `SelectRevokeAccessRightType`

  - ### setAccessright

    public void setAccessright(SelectRevokeAccessRightType value)
    Sets the value of the accessright property.
    Parameters:
      `value` - allowed object is `SelectRevokeAccessRightType`